@import "reset.css";

section{
    background-color: white;
}

main{
    background-color: #F2F2F2;
}

.header_nav{
    display: flex;
    justify-content: space-between;
    background-color: #313131;
    align-items: center;
    height: 70px;
}

.header_img{
    display: flex;
    justify-content: center;
    align-items: center;
    font-family: 'Open Sans', sans-serif;
    font-weight: bold;
    font-size: 22px;
    width: 190px;
    height: 70px;
}

.search_img{
    background-color: #000000;
}

.logo_img{
    padding-right: 30px;
}

.header_nav_list{
    display: flex;
    font-family: 'Open Sans', sans-serif;
    font-size: 15px;
    text-transform: uppercase;

}

.header_nav_list_item{
    padding: 10px;
    color: white;
}

.header_nav_list_item:hover{
    color: #14B9D5;
}

.search_img{
    width: 68px;
    height: 70px;
    display: flex;
    justify-content: center;
    align-items: center;
}

.container{
    width: 1200px;
    margin: 0 auto;
    padding-left: 15px;
    padding-right: 15px;
}

.main_header{
    background-image:url("../img/basic-html-css_homework_homework4-Design-and-architecture_img_header-bg.png");
    background-attachment: fixed;
    background-size: 100%;
    background-position:bottom;
    height: 369px;
}

.title{
    display: flex;
    padding-top: 164px;
    justify-content: center;
    font-family: 'Open Sans', sans-serif;
    font-weight: bold;
    font-size: 27px;
    color: white;
}

.buttons{
    display: flex;
    padding-top: 44px ;
    justify-content: center;
}

.button{
    width: 170px;
    height: 55px;
    padding: 10px;
    margin: 20px;
    border: none;
    border-radius: 5px;
    background-color: #89CA62;
    color: white;
    font-weight: 600;
    font-size: 18px;    
    font-family: 'Open Sans', sans-serif;
    cursor: pointer;
}

.posts-section{
    display: flex;
}

.title_main{
    display: flex;
    justify-content: center;
    font-style: normal;
    font-weight: bold;
    font-size: 27px;
    color: #18B4CF;
    font-family: 'Open Sans', sans-serif;
    padding: 49px;
}

.posts{
    display: flex;
    flex-wrap: wrap;
    flex-direction: column;
    height: 900px;
    align-content: space-between;
}

.post{
    width: 370px;
    background-color: white;
    margin: 20px 0 0;
}

.post__footer{
    padding: 20px 10px 22px;
    display: flex;
    justify-content: center;
    align-items: center;
    font-family: 'Open Sans', sans-serif;
    font-weight: bold;
    font-size: 18px;
}

.clients_title{
    display: grid;
    padding: 108px 0 87px;
    justify-content: center;
    font-family: 'Open Sans', sans-serif;
    font-weight: bold;
    font-size: 27px;
    color: white;
    position: relative;
}

.clients{
    background-image: url(../img/basic-html-css_homework_homework4-Design-and-architecture_img_parallax-bg.jpeg);
    height:588px;
    background-size: 100%;
    background-position: top;
    background-attachment: fixed;
}

.clients_list{
    display: grid;
    grid-template-rows: 1fr ;
    grid-template-columns: 1fr 1fr 1fr 1fr;
    padding: 108px 0 0 ;
    justify-items: center;
    align-items: center;
}

.clients_decore-line{
    width: 60px;
    border-color:#18B4CF ;
    border-style: solid;
}

.top_rated-list{
    display: grid;
    grid-template-rows: 1fr;
    grid-template-columns:repeat(7, 1fr) ;
    justify-items: center;
    grid-row: 0;
}

.top_rated-item-img{
    width: 100%;
}

.news_list{
    display: grid;
    grid-gap: 20px 20px;
    grid-template-rows: auto;
    grid-template-areas:
    "news_list_item1 news_list_item1 news_list_item1 news_list_item2"
    "news_list_item3 news_list_item3 news_list_item4 news_list_item4"
    "news_list_item5 news_list_item5 news_list_item6 news_list_item6"
    "news_list_item8 news_list_item7 news_list_item7 news_list_item7";
}

.news_list_item1{
    grid-area:news_list_item1 ;
    background-color: #F2F2F2;
}

.news_list_item2{
    grid-area:news_list_item2 ;
    background-color: #F2F2F2;
}

.news_list_item3{
    grid-area:news_list_item3;
    background-color: #F2F2F2;
}

.news_list_item4{
    grid-area:news_list_item4 ;
    background-color: #F2F2F2;
}

.news_list_item5{
    grid-area:news_list_item5 ;
    background-color: #F2F2F2;
}

.news_list_item6{
    grid-area:news_list_item6 ;
    background-color: #F2F2F2;
}

.news_list_item7{
    grid-area:news_list_item7 ;
    background-color: #F2F2F2;
}

.news_list_item8{
    grid-area:news_list_item8 ;
    background-color: #F2F2F2;
}

.news_parag{
    padding:15px;
    text-align: right;
    font-weight: 600;
    font-size: 14px;
    font-family: 'Open Sans', sans-serif;
}

.news_parag_title{
    display: grid;
    font-weight: bold;
    font-size: 18px;
    font-family: 'Open Sans', sans-serif;
    justify-items: center;
    padding: 15px 0;
}

.news_img{
    width: 100%; 
}

.footer_list{
    background: #000000;
    display: grid;
    grid-template-columns: 1fr 1fr ;
    grid-template-rows: 80px;
    margin: 77px 0 0;
    height: 80px;
}

.footer_list-item{
    display: grid;
    justify-content: space-around;
    align-items: center;
}

.copyright{
    color: white;
    font-weight: normal;
    font-size: 13px;
    font-family: 'Open Sans', sans-serif;
    display: grid;
    align-items: center;
}
